"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCommandLineArguments = void 0;
const commander_1 = require("commander");
function getCommandLineArguments() {
    return commander_1.program
        .name('openapi')
        .usage('[options]')
        .requiredOption('-i, --input <value>', 'OpenAPI specification path, can be both yaml or json (required)')
        .requiredOption('-o, --output <value>', 'Output directory (required)')
        .parse(process.argv)
        .opts();
}
exports.getCommandLineArguments = getCommandLineArguments;
