import { OpenapiParser } from '../openapi-parser/openapi-parser';
import { OpenapiReader } from '../openapi-reader/openapi-reader';
export declare class HandlersGenerator {
    private readonly openapiReader;
    private readonly openapiParser;
    private readonly openapiFilePath;
    constructor(openapiReader: OpenapiReader, openapiParser: OpenapiParser, openapiFilePath: string);
    generateHandlers(): string;
    private createDocumentation;
    private getRouteGenericProp;
    private getRouteGeneric;
    private getRouteGenricDefinition;
    private getRouteGenericString;
    private getHandlersProperties;
    private formatHandlers;
}
