import { OpenApiVersionVerifier } from '../openapi-version-verifier/openapi-version-verifier';
import { OpenapiReader } from '../openapi-reader/openapi-reader';
import { OpenAPIVX } from '../utils/types';
import { OpenapiParser } from '../openapi-parser/openapi-parser';
import { OpenapiManager } from '../openapi-manger/openapi-manager.models';
export declare class RoutesSchemasGenerator {
    private readonly openapiReader;
    private readonly openapiParser;
    private readonly openapiVersionVerifier;
    private readonly openapiFilePath;
    constructor(openapiReader: OpenapiReader, openapiParser: OpenapiParser, openapiVersionVerifier: OpenApiVersionVerifier, openapiFilePath: string);
    generateRoutesSchemas(): OpenAPIVX;
    getOpenapiManager(openapi: OpenAPIVX): OpenapiManager<OpenAPIVX>;
}
